Package org.kie.api.management

## Class GAV

- java.lang.Object
- - org.kie.api.management.GAV

- All Implemented Interfaces:
    `java.lang.Comparable<ReleaseId>`, `ReleaseId`

      public class GAV
      extends java.lang.Object
      implements ReleaseId

  A simple immutable pojo representing Maven GAV coordinates, with a JMX-compliant method in order to be exposed and used via JMX/Monitoring.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GAV​(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GAV` | `from​(javax.management.openmbean.CompositeData cd)` |
    `static GAV` | `from​(ReleaseId rel)` |
    `java.lang.String` | `getArtifactId()` |
    `java.lang.String` | `getGroupId()` |
    `java.lang.String` | `getVersion()` |
    `boolean` | `isSnapshot()` |
    `boolean` | `sameGAVof​(ReleaseId other)` |
    `java.lang.String` | `toExternalForm()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.builder.ReleaseId

      `compareTo`

- - ### Constructor Detail

    - #### GAV

          public GAV​(java.lang.String groupId,
                     java.lang.String artifactId,
                     java.lang.String version)

  - ### Method Detail

    - #### getGroupId

          public java.lang.String getGroupId()

      Specified by:
        `getGroupId` in interface `ReleaseId`

    - #### getArtifactId

          public java.lang.String getArtifactId()

      Specified by:
        `getArtifactId` in interface `ReleaseId`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `ReleaseId`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toExternalForm

          public java.lang.String toExternalForm()

      Specified by:
        `toExternalForm` in interface `ReleaseId`

    - #### isSnapshot

          public boolean isSnapshot()

      Specified by:
        `isSnapshot` in interface `ReleaseId`

    - #### from

          public static GAV from​(javax.management.openmbean.CompositeData cd)

    - #### from

          public static GAV from​(ReleaseId rel)

    - #### sameGAVof

          public boolean sameGAVof​(ReleaseId other)